import request from '@/utils/request'

// 查询用户收支明细列表
export function listTran_record(query) {
  return request({
    url: '/business/tran_record/list',
    method: 'get',
    params: query
  })
}

// 查询用户收支明细详细
export function getTran_record(id) {
  return request({
    url: '/business/tran_record/' + id,
    method: 'get'
  })
}

// 新增用户收支明细
export function addTran_record(data) {
  return request({
    url: '/business/tran_record',
    method: 'post',
    data: data
  })
}

// 修改用户收支明细
export function updateTran_record(data) {
  return request({
    url: '/business/tran_record',
    method: 'put',
    data: data
  })
}

// 删除用户收支明细
export function delTran_record(id) {
  return request({
    url: '/business/tran_record/' + id,
    method: 'delete'
  })
}
